# Ensure all prioritized issues have a milestone assigned
#
# https://handbook.gitlab.com/handbook/engineering/development/dev/create/remote-development/#automation-07
resource_rules:
  issues:
    rules:
      - name: Any ~"workspaces-workflow::prioritized" issue that has the ~"Category:Workspaces" label and no milestone should have %"Next 1-3 releases" milestone assigned
        conditions:
          state: opened
          labels:
            - "Category:Workspaces"
            - "workspaces-workflow::prioritized"
          milestone: none
        actions:
          comment: |
            /milestone %"Next 1-3 releases"
